Homey Community Forum

Sonos v6 only for S2, what about S1 Speakers?

Yesterday Athom shipped Sonos app v6.0.7 form experimental to the app store. I had sadly auto update configered for this app and this means that my Sonos S1 app (5.0.14) was updated to the S2 (6.0.7) automatically. But I can’t use it because I own a lot S1 Sonos devices.

Question: where or how can I get the old Sonos app 5.0.14 again ?

I’m in contact with Athom support and will inform you here about their feedback.

THX

You can only ask Athom for it, since the app is closed source :frowning:

Hello, I also use S1 speakers, no S2. The update of the SONOS app was done and everything still works over here …

You should not delete the paired devices.

I assume that you are not able to pair the S1 device again.

But that’s only my assumption because my devices are also still working and I will not test the repairing :wink:

Here is the feddback from Athom support:

image

I answered them that I will not accept this and they should find a solution for the S1 users. We will see.

After Athom’s feedback I tested it and yes, I was able to pair a deleted S1 device again.
That calms me down but in the app description you see still the warning :wink:

Note: Only Sonos S2 speakers are supported.

Can u plz tell us what type of device that is for future reference?

I own a view of the following Sonos devices:

Play 1
Play 5 (1. Gen.)
AMP (1. Gen.)
Connect (1. Gen.) → tested device

Ok. So it is possible to add S1 speakers ( not the Play 1 because that’s not an S1 speaker) to ur S2 account and then use that account to add them to the Homey Sonos v6 app? Cool!
Did not know that and the warning should be deleted then.

I’m not sure if it is an S2 account. I never update my account to S2. So I think it’s still an S1 account. And you’re right the Play 1 is compatible with S2:

https://support.sonos.com/s/article/4786?language=en_US
https://support.sonos.com/s/article/4786?language=de

I have a few speakers myself.

But i still wonder if one would install the app, would it be possible to add the S1 devices?

You mean from scratch? Well, I was unsure myself. But where is the difference. I deleted the device and installed it again. And it works with the new S2 Homey app (6.0.7).

In my opinion Athom merged both version. S1 has another functionality set in comparison to S2. So you miss a view functions with S1 speakers. And maybe Sonos force them to distribute S2 only and they aren’t allow to support S1 officially. But that’s just my thoughts.

Ok, so i tested the 6.0.7 Hopmey Sonos app.

Please don’t confuse S2 sonos (mobile) app with 6.0.7 Sonos Homey app.

But It is possible to add S1 speakers to the 6.0.7 app. It’s just the functionality like “say” that’s not present on the S1 speakers.
FWIW i deleted the Play 5 gen 1 speaker and re-added it in 6.0.7.

I always referred to the S2 Homey app (6.0.7). But I edit my post to make this clearer.

1 Like

One little thing then:
Homey app 6.0.7 has nothing to do with S2 in any way.
So maybe just call it Homey app or 6.0.7 but not S2 Homey app plz.
Also the line in the readme from the Homey app is not correct. Where it says “Note: Only Sonos S2 speakers are supported.” it should have stated something like “Some of the new functions will not work on older speakers” or something like that.
I don’t wanna be rude, it’s just to prevent confusion for other peeps.

Exactly! That yellow line should not be there!
That’s why i said:

Do i understand correctly that Play 1 can’t be re-added?

No, S1 devices can be re-added.

It can’t find any new devices. I have 2x Play 1